0

I am trying to push code from my local to staging and getting the below error. Shouldn't on deploy magento update the composer.lock file based on what's in my json composer file? I am not getting how to add magento/inventory-composer-metapackage to the lock file.

Warning: The lock file is not up to date with the latest changes in composer.json. You may be getting outdated dependencies. It is recommended that you run `composer update` or `composer update <package name>`.
    W: - Required package "magento/inventory-composer-metapackage" is not present in the lock file.

1 Answer 1

2

you should update your dependencies.

try this code

composer update

If you want to update specific package check this

composer update magento/inventory-composer-metapackage

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.